# Hinweise für den Versuch Geometrische Optik

## Aufgabe 1: Bestimmung der Brennweite $f$ einer einzelnen Linse [1/2]

### Grundbegriffe der paraxialen Optik

Die [paraxiale Optik](https://de.wikipedia.org/wiki/Paraxiale_Optik) beschäftigt sich mit rotationssymmetrischen optischen Systemen (v.a. Linsen und (Hohl-)Spiegeln) die von Lichtstrahlen, nahe der Symmetrieachse, durchlaufen werden. Für diesen Fall ist die Beschreibung der Abbildungseigenschaften mit Hilfe geschlossener analytischer Formeln möglich. Die Symmetrieachse heißt [optische Achse](https://de.wikipedia.org/wiki/Optische_Achse_(Optik)). 

Eines der wichtigsten optischen Systeme ist die **dünne [Sammellinse](https://de.wikipedia.org/wiki/Sammellinse)**. Zu ihrer Beschreibung dient die [Hauptebene](https://de.wikipedia.org/wiki/Hauptebene_(Optik)) $H$. Den Schnittpunkt der Hauptebene mit der optischen Achse bezeichnet man als Hauptpunkt. Wir verwenden im Folgenden $H$ sowohl für die Hauptebene als auch für den Hauptpunkt. 

Zueinander parallele und senkrecht zu $H$ einfallende Lichtstrahlen kreuzen sich im Brennpunkt der Linse (auch [Fokus](https://de.wikipedia.org/wiki/Fokus) genannt). Die Ebene senkrecht zur optischen Achse im Brennpunkt heißt Bennebene. Als [Brennweite](https://de.wikipedia.org/wiki/Brennweite) $f$ bezeichnet man den Abstand zwischen Brennpunkt und $H$. Eine Linse bildet einen Gegenstand $G$ (in der Gegenstandsebene) in ein Bild $B$ (in der Bildebene) ab, wie in **Skizze 1** dargestellt: 

<img src="../figures/Linsengleichung.png" width="900" style="zoom:100%;" />

**Skizze 1** (Definition von ($f$) Brenn-, ($b$) Bild- und ($g$) Gegenstandsweite)

---

Wir verwenden $G$ ($B$) sowohl für den Gegenstand (das Bild) selbst, als auch für dessen Größe. Der Abstand von $G$ zu $H$ heißt [Gegenstandsweite](https://de.wikipedia.org/wiki/Gegenstandsweite) $g$, der Abstand von $B$ zu $H$ [Bildweite](https://de.wikipedia.org/wiki/Bildweite) $b$. Das Verhältnis 

$$
\begin{equation*}
\beta = \frac{B}{G}
\end{equation*}
$$
wird als [Abbildungsmaßstab](https://de.wikipedia.org/wiki/Abbildungsma%C3%9Fstab) bezeichnet. Die Beziehung zwischen $b$, $g$ und $f$ für ein scharfes Bild ist durch die [Linsengleichung](https://de.wikipedia.org/wiki/Linsengleichung) (oder Abbildungsgleichung)  

$$
\begin{equation}
\frac{1}{f} = \frac{1}{g} + \frac{1}{b}
\end{equation}
$$
gegeben.  In der **Skizze 1** wird der (reelle) Gegenstand $G$ in ein umgekehrtes [reelles Bild](https://de.wikipedia.org/wiki/Reelles_Bild) $B$ abgebildet. Da der Strahlengang umkehrbar ist, wird $B$, durch Reflexion, als reelles Bild auch in $G$ zurück abgebildet.

# Navigation

[Main](https://git.scc.kit.edu/etp-lehre/p1-for-students/-/tree/main/Geometrische_Optik) | [Weiter](https://git.scc.kit.edu/etp-lehre/p1-for-students/-/blob/main/Geometrische_Optik/doc/Hinweise-Aufgabe-1-a.md)
