# Hinweise für den Versuch Geometrische Optik

## Aufgabe 2: Vermessung eines Zweilinsensystems $L$ [1/5]

### Strahlengang eines Zweilinsensystems

Mit Hilfe des in **Skizze 3** eingezeichneten Strahlengangs kann ein System aus zwei Linsen $L_{1}$ und $L_{2}$ (mit den Brennweiten $f_{1}$ und $f_{2}$) wie eine einzige dicke Linse $L$ mit den Hauptebenen $H_{1}$ und $H_{2}$ und der Brennweite $f$ behandelt werden. Alle für die weitere Diskussion relevanten Variablenbezeichnungen können **Skizze 3** entnommen werden.

<img src="../figures/AbbeVerfahren.png" width="900" style="zoom:100%;" />

**Skizze 3** (Strahlengang eines Zweilinsensystems $L$)

---

Für $f$ gilt die Formel von [Allvar Gullstrand](https://de.wikipedia.org/wiki/Allvar_Gullstrand) (auch als Gullstrand-Formel bezeichnet): 

$$
\begin{equation}
\frac{1}{f} = \frac{1}{f_{1}} + \frac{1}{f_{2}} - \frac{d}{f_{1}f_{2}},
\end{equation}
$$
wobei $d$ der Abstand zwischen $L_{1}$ und $L_{2}$ (gemessen von den jeweiligen Scheiteln von $L_{1}$ und $L_{2}$) ist. 

Die Konstruktion erfolgt dabei wie folgt (Angaben in **Skizze 3**): 

- Strahl 1 verläuft, parallel zur optischen Achse, von $G$ bis $H_{1}$ (obere durchgezogene Linie, links).

- Strahl 2 verläuft von $G$, durch den linken Brennpunkt von $L$, bis $H_{1}$ (untere durchgezogene Linie, links). 

- Von $H_{1}$ nach $H_{2}$ werden beide Strahlen parallel verschoben (gestrichelte Linien zwischen $H_{1}$ und $H_{2}$).

- Von $H_{2}$ aus wird Strahl 1 durch den rechten Brennpunkt von $L$ und Strahl 2 parallel zur optischen Achse verlängert. Dort, wo die Strahlen 1 und 2 sich kreuzen entsteht $B$.  

- Für den Abbildungsmaßstab gilt die Beziehung: 
  
  ```math
  \begin{equation}
  \beta = \frac{B}{G} = \frac{b}{g}
  \end{equation}
  ```

Dies entspricht der Konstruktion eines Bildes $B$ für eine einzelne, dicke Linse mit der Brennweite $f$.  

Sind $f_{1}$ und $f_{2}$ bekannt lassen sich die Lagen von $H_{1}$ und $H_{2}$ aus 

$$
\begin{equation}
h_{1} = -\frac{f\,d}{f_{1}}; \quad h_{2}=\frac{f\,d}{f_{2}}
\end{equation}
$$
berechnen, wobei $h_{1}$ und $h_{2}$ von den Scheiteln der Linsen aus zu messen sind. 

Für diesen Versuch sind $f_{1}$ und $f_{2}$ und damit auch die Lagen von $H_{1}$ und $H_{2}$ zunächst unbekannt. Die Größen $f$, $f_{1}$, $f_{2}$, sowie die Lagen von $H_{1}$ und $H_{2}$ lassen sich jedoch mit Hilfe des [Abbe-Verfahrens](https://de.wikipedia.org/wiki/Abbe-Verfahren) ermitteln.

# Navigation

 [Main](https://git.scc.kit.edu/etp-lehre/p1-for-students/-/tree/main/Geometrische_Optik) | [Weiter](https://git.scc.kit.edu/etp-lehre/p1-for-students/-/blob/main/Geometrische_Optik/doc/Hinweise-Aufgabe-2-a.md)

