# Hinweise für den Versuch Resonanz

## Aufgabe 2: Erzwungene Schwingung [2/2]

###  Hinweise zur Durchführung

#### Aufgabe 2.1: Mechanische Schwingungen

- Zur Aufnahme der Resonanzkurven schlagen wir $I_B=400,200\hspace{0.05cm}\mathrm{mA}$ vor. Beginnen Sie mit der höheren Dämpfung, bei der sich das System schneller einschwingt. 

- Die Bewegung des Motors wird über einen Winkelgeber in eine Spannung ($0-5\hspace{0.05cm}\mathrm{V}$) umgewandelt und über den zweiten CASSY-Eingang (Eingang B) ausgelesen. Damit die Nulllage mit dem Pendel übereinstimmt, müssen Sie zu Beginn einen *offset* von $2,5\hspace{0.05cm}\mathrm{V}$ vorgegeben. 

- Die Drehzahl des Antriebsmotors wird aus dem Winkel-Zeit-Diagramm mit Hilfe des CASSY-Systems bestimmt. Achten Sie auf eine ausreichende Dichte der Messpunkte, besonders in Resonanznähe und passen Sie die Schrittweite entsprechend an (siehe [Hinweise-CASSY.md](https://git.scc.kit.edu/etp-lehre/p1-for-students/-/blob/main/Resonanz/doc/Hinweise-CASSY.md)). 

- Vergleichen Sie den Verlauf der gemessenen Resonanzkurven mit Ihrer Erwartung. Benutzen Sie zur Bestimmung von $Q(I_{\mathrm{B}})$ die Werte für $\Omega$ bei denen die Amplitude jeweils auf den Wert $1/\sqrt{2}$ des maximalen Werts abgefallen ist. Vergleichen Sie Ihre Ergebnisse mit denen von Aufgabe 1.3.

#### Aufgabe 2.2: Elektrische Schwingung

- Nehmen Sie Resonanzkurven für die drei angebotenen Widerstände (von $8,2\hspace{0.05cm}\Omega$, $47\hspace{0.05cm}\Omega$ und $100\hspace{0.05cm}\Omega$) auf. Wählen Sie für den Messbereich der Erregerspannung $U_{0}=0-70\hspace{0.05cm}\mathrm{V}$.
- 
  Stellen Sie die Schwingungsamplitude und die Impedanz des Schwingkreises in einer gemeinsamen Darstellung als Funktion von $\Omega$ dar und bestimmen Sie die Gütefaktoren $Q(I_{\mathrm{B}})$ der Schwingkreise jeweils aus der Resonanzbreite. 
- Demonstrieren Sie das Phänomen der Resonanzüberhöhung, indem Sie die Spannungsverläufe an Spule und Kondensator zusammen mit der Erregerspannung $U_{0}$ als Funktion von $\Omega$ darstellen. Bestimmen Sie auch daraus die Güte $Q$ des Schwingkreises. 
- Stellen Sie die Phasenverschiebung $\phi$ als Funktion von $\Omega$ dar.

# Navigation

[Zurück](https://gitlab.kit.edu/kit/etp-lehre/p1-praktikum/students/-/blob/main/Resonanz/doc/Hinweise-Aufgabe-2.md) | [Main](https://gitlab.kit.edu/kit/etp-lehre/p1-praktikum/students/-/tree/main/Resonanz)
