# Hinweise für den Versuch Vierpole und Leitungen

## Aufgabe 1: Einfache Vierpole [2/2]

###  Hinweise zur Durchführung

#### Aufgabe 1.1: Hochpass-Filter

Gehen Sie bei der Untersuchung der Eigenschaften des Hochpass-Filters wie folgt vor:

- Verwenden Sie das Oszilloskop im Zweikanalbetrieb, so dass Sie $U_{0}$ und $U_{1}$ gleichzeitig betrachten können. Verwenden Sie für $U_{1}$ den Tastkopf des Oszilloskops.

- Legen Sie eine harmonische Wechselspannung mit $\nu=1,7\hspace{0.05cm}\mathrm{kHz}$, $U_{0}\approx 8\hspace{0.05cm}\mathrm{V_{SS}}$ an die Schaltung an. 
  
- Verwenden Sie für den Kondensator der Schaltung eine feste Kapazität von $C=1\hspace{0.05cm}\mathrm{nF}$. Für Ihre Untersuchungen stehen Ihnen mindestens vier Widerstände mit $R=1,\hspace{0.05cm}10,\hspace{0.05cm}100,\hspace{0.05cm}1000\hspace{0.05cm}\mathrm{k\Omega}$ zur Verfügung, so dass Sie mindestens vier Messpunkte aufnehmen können. 
  
- Stellen Sie $\mu$ und $\Delta\varphi$ jeweils als Funktion von $\log(\omega/\omega_{0})$ dar. Tragen Sie in die gleiche Figur jeweils den erwarteten Verlauf ein.

Mit $\mathrm{V_{SS}}$ meinen wir die Spannungsdifferenz von negativer zu positiver Signalspitze auf dem Oszilloskop. Die Effektivspannung $\overline{U}$ erhalten Sie daraus durch die Umrechnung
$$
\begin{equation*}
\overline{U}\hspace{0.05cm}\left[\mathrm{V}\right] = \frac{1}{2\sqrt{2}}\left[\mathrm{V_{\mathrm{SS}}}\right].
\end{equation*}
$$

#### Aufgabe 1.2: Differenzierglied

Achten Sie für Ihre Untersuchungen darauf, dass die Bedingungen für das Differenzierglied erfüllt sind.  

#### Aufgabe 1.3: Tiefpass-Filter

Gehen Sie analog zu Aufgabe 1.1 vor. 

#### Aufgabe 1.4: Integrierglied

Gehen Sie analog zu Aufgabe 1.2 vor. Achten Sie für Ihre Untersuchungen darauf, dass die Bedingungen für das Integrierglied erfüllt sind.  

# Navigation

[Zurück](https://git.scc.kit.edu/etp-lehre/p1-for-students/-/blob/main/Vierpole_und_Leitungen/doc/Hinweise-Aufgabe-1.md) | [Main](https://git.scc.kit.edu/etp-lehre/p1-for-students/-/tree/main/Vierpole_und_Leitungen)
